SpriteLibrary

# AnimationType Enumeration

The SpriteInfo only recognizes a few ways to create a sprite. Here are the different ways.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public enum AnimationType

Members

| Member name | Value | Description
--- | --- | --- | ---
| SpriteDefinition | 0 | A Sprite definition knows an image, an X and Y, a size, and a few other items.
| Rotation | 1 | A rotated sprite is based off a pre-existing animation, but it is rotated by some degrees.
| Mirror | 2 | A mirrored sprite is based off a pre-existing animation, but is mirrored vertically or horizontally.

See Also

#### Reference

SpriteLibrary Namespace